package com.ijchart.xychart.exception ;

import java.io.Serializable ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 * <zh>ݼһݴظ쳣.</zh>
 * <en>An exception for duplicate x value of a dataset row datas.</en>
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public final class RowXValueDuplicateException extends RuntimeException implements Serializable {
  /**
   * <zh>л汾ID.</zh>
   * <en>For serialization.</en>
   */
  private static final long serialVersionUID = -8211883139097145279L ;

  /**
   * <zh>.</zh>
   * <en>Constructor.</en>
   *
   * @param message String <zh>Ϣַ.</zh>
   * <en>The detail message</en>
   */
  public RowXValueDuplicateException(String message) {
    super(message) ;
  }
}
