package com.ijchart.xychart.util ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 * <zh>ѧĹ</zh>
 * <en>Nice static helpers for working with Math</en>
 *
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public abstract class MathUtil {

  /**
   * <zh>ź.</zh>
   * <en>The Signum function.</en>
   *
   * @param val double <zh>ֵ.</zh>
   * <en>The value.</en>
   *
   * @return int <zh>ȡvalķ,01,С0-1,00.</zh>
   * <en>Returns the signum of val,greater than 0 returns 1,
   *  -1 less than 0, equal to 0 returns 0.</en>
   */
  /**
   * <zh>ź.</zh>
   * <en>The Signum function.</en>
   *
   * @param v1 double <zh>һֵ.</zh>
   * <en>The first value.</en>
   * @param v2 double <zh>ڶֵ.</zh>
   * <en>The second value.</en>
   *
   * @return int <zh>v1<v2-1,v1>v21,v1=v20.</zh>
   * <en>Back -1 if v1<v2,v1>v2 return 1, v1=v2 return 0.</en>
   */
  public static int sign(double v1, double v2) {
    return sign(v1 - v2) ;
  }

  /**
   * <zh>ź.</zh>
   * <en>The Signum function.</en>
   *
   * @param val double <zh>ֵ.</zh>
   * <en>The value.</en>
   *
   * @return int <zh>ȡvalķ,01,С0-1,00.</zh>
   * <en>Returns the signum of val,greater than 0 returns 1,
   *  -1 less than 0, equal to 0 returns 0.</en>
   */
  public static int sign(double val) {
    return (val < 0) ? -1 : ((val == 0) ? 0 : 1) ;
  }
}
