package com.ijchart.xychart.listener ;

import java.util.EventListener ;

import com.ijchart.xychart.event.ChartChangeEvent ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 * <zh>¼ڼChart仯ʱ¼,¼ʱʵִ˼ᱻԶ֪ͨ.</zh>
 * <en>The interface that must be supported by classes that wish to receive
 * notification of chart events.</en>
 *
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public interface IChartChangeListener extends EventListener {

  /**
   * <zh>յChart仯¼.</zh>
   * <en>Receives notification of a chart change event.</en>
   *
   * @param event AxisChangeEvent <zh>Chart仯¼.</zh>
   * <en>The chart change event.</en>
   */
  void chartChanged(ChartChangeEvent event) ;

}
